Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Marvin Crouse" <[email-masked]>
Date: Tue, 29 Jan 2013 12:59:41 -0500

Hello Marvin.
We did receive your order and processed it on January 10, 2013.  The order was sent out USPS on January 11, 2013.  According to the tracking, it was delivered on January 14, 2013.  The US Mail tracking number is 9400111201080687492168.  It would have come in a cardboard mail tube that is about 20" long.  If you need further assistance, please contact out Customer Service at 877-321-4144 and reference order #1677233 .
Thank you,
Michael B
LLPS

From: LLPS 
Sent: Tuesday, January 29, 2013 11:00 AM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Marvin Crouse

Company: M & W Truck and Auto

E-mail Address: [email-masked]

Telephone: Not specified

Message: I sent in an order for a complete set of 2013 state & Federal Posters
1/4/13 total $67.25 ck#14346 - this check cleared our bank account on
1/11/13 and I still have not received the posters. on the invoice
there was KEY CODE A12820698158. 
M & W Truck and Auto Service, 105 Dixon Drive, Devine, TX 78016. I
would be happy to send you a copy of the cashed check if that would
help.

Request generated on January 29th, 2013 at 11:00 AM EST from the IP address 69.152.228.84